
#import "b4i_main.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4I alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}

- (NSString*)  _application_background{
 //BA.debugLineNum = 45;BA.debugLine="Private Sub Application_Background";
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[self initializeStaticModules];
 //BA.debugLineNum = 20;BA.debugLine="Private Sub Application_Start (Nav As NavigationController)";
 //BA.debugLineNum = 21;BA.debugLine="NavControl = Nav";
self._navcontrol = _nav;
 //BA.debugLineNum = 22;BA.debugLine="TabControl.Initialize(\"TabControl\")";
[self._tabcontrol Initialize:self.bi :@"TabControl"];
 //BA.debugLineNum = 23;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
 //BA.debugLineNum = 24;BA.debugLine="Page1.Title = \"Page 1\"";
[self._page1 setTitle:@"Page 1"];
 //BA.debugLineNum = 25;BA.debugLine="Page1.RootPanel.Color = Colors.White";
[[self._page1 RootPanel] setColor:[[self.__c Colors] White]];
 //BA.debugLineNum = 26;BA.debugLine="Page1.RootPanel.LoadLayout(\"1\")";
[[self._page1 RootPanel] LoadLayout:@"1" :self.bi];
 //BA.debugLineNum = 27;BA.debugLine="Page2.Initialize(\"Page2\")";
[self._page2 Initialize:self.bi :@"Page2"];
 //BA.debugLineNum = 28;BA.debugLine="Page2.Title = \"Page 2\"";
[self._page2 setTitle:@"Page 2"];
 //BA.debugLineNum = 29;BA.debugLine="Page2.RootPanel.Color = Colors.White";
[[self._page2 RootPanel] setColor:[[self.__c Colors] White]];
 //BA.debugLineNum = 30;BA.debugLine="Page2.RootPanel.LoadLayout(\"1\")";
[[self._page2 RootPanel] LoadLayout:@"1" :self.bi];
 //BA.debugLineNum = 31;BA.debugLine="NavControl.ShowPage(Page1)";
[self._navcontrol ShowPage:(UIViewController*)((self._page1).object)];
 //BA.debugLineNum = 33;BA.debugLine="SetTabButtons";
[self _settabbuttons];
 //BA.debugLineNum = 35;BA.debugLine="NavControl.NavigationBarVisible = False";
[self._navcontrol setNavigationBarVisible:[self.__c False]];
 //BA.debugLineNum = 36;BA.debugLine="App.KeyController = TabControl";
[self._app setKeyController:(UIViewController*)((self._tabcontrol).object)];
 //BA.debugLineNum = 37;BA.debugLine="TabControl.Pages = Array(Page1, Page2)";
[self._tabcontrol setPages:[self.bi ArrayToList:[[B4IArray alloc]initObjectsWithData:@[[B4I nilToNSNull:(NSObject*)((self._page1).object)],[B4I nilToNSNull:(NSObject*)((self._page2).object)]]]]];
 //BA.debugLineNum = 39;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
 //BA.debugLineNum = 41;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As Int)";
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];

}
- (NSString*)  _process_globals{
 //BA.debugLineNum = 10;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 13;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
 //BA.debugLineNum = 14;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
 //BA.debugLineNum = 15;BA.debugLine="Public TabControl As TabBarController";
self._tabcontrol = [B4ITabBarControllerWrapper new];
 //BA.debugLineNum = 16;BA.debugLine="Private Page1,Page2 As Page";
self._page1 = [B4IPage new];
self._page2 = [B4IPage new];
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _settabbuttons{
B4ITabBarItemItemWrapper* _tbi = nil;
 //BA.debugLineNum = 49;BA.debugLine="Private Sub SetTabButtons";
 //BA.debugLineNum = 51;BA.debugLine="Dim tbi As TabBarItem";
_tbi = [B4ITabBarItemItemWrapper new];
 //BA.debugLineNum = 52;BA.debugLine="tbi.Initialize(\"Welcome\", Null, Null)";
[_tbi Initialize:@"Welcome" :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])] :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])]];
 //BA.debugLineNum = 53;BA.debugLine="Page1.TabBarItem = tbi";
[self._page1 setTabBarItem:_tbi];
 //BA.debugLineNum = 55;BA.debugLine="Dim tbi As TabBarItem";
_tbi = [B4ITabBarItemItemWrapper new];
 //BA.debugLineNum = 56;BA.debugLine="tbi.Initialize(\"Welcome\", Null, Null)";
[_tbi Initialize:@"Welcome" :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])] :(B4IBitmap*) [B4IObjectWrapper createWrapper:[B4IBitmap new] object:(UIImage*)([self.__c Null])]];
 //BA.debugLineNum = 57;BA.debugLine="Page2.TabBarItem = tbi";
[self._page2 setTabBarItem:_tbi];
 //BA.debugLineNum = 60;BA.debugLine="End Sub";
return @"";
}
@end
